import React from "react";
import { Metadata } from "next";
import { ToasterProvider } from "app/(routes)/ToasterProvider";

export const metadata: Metadata = {
	title: "iTwinUI Migration Tool (v2 → v3)",
};

export default function Layout({ children }: { children: React.ReactNode }) {
	return <ToasterProvider>{children}</ToasterProvider>;
}
