"use server";

const launch = require("launch-editor");

export async function openFileWithDefaultSystemApplication(_previous: any, formData: FormData) {
	try {
		const filePathWithLineAndColumn = formData.get("file-path");

		if (typeof filePathWithLineAndColumn !== "string") {
			throw "oops";
		}

		await launch(
			filePathWithLineAndColumn,
			undefined,
			// callback if failed to launch (optional)
			(_: any, errorMsg: any) => {
				throw errorMsg;
			},
		);

		return { success: true };
	} catch (error) {
		console.error(error);
		return { error };
	}
}
