// Importing components and props together
import { Avatar, Button, type AvatarProps, type ButtonProps } from "@itwin/itwinui-react";

// Importing Props without type keyword
import { InformationPanel } from "@itwin/itwinui-react";
import { InformationPanelProps } from "@itwin/itwinui-react";

// Importing Props with type keyword
import { Carousel } from "@itwin/itwinui-react";
import type { CarouselProps } from "@itwin/itwinui-react";

// Importing props but not components
import type { TableProps } from "@itwin/itwinui-react";

const SampleCode = () => {
	return (
		<>
			<Avatar size="medium" />
			<Button>Click Me</Button>
			<InformationPanel />
			<Carousel />
		</>
	);
};
