import checkboxMoveStyleClassInside from "./checkbox-move-style-class-inside";
import tileIconbuttonSize from "./tile-iconbutton-size";
import splitbuttonClassname from "./splitbutton-classname";
import radiotileMoveStyleClassInside from "./radiotile-move-style-class-inside";
import setfocusRemoved from "./setfocus-removed";
import usethemeDeprecated from "./usetheme-deprecated";
import deprecatedTypography from "./deprecated-typography";
import menuitemIconBadgeDeprecated from "./menuitem-icon-badge-deprecated";
import toasterToUsetoaster from "./toaster-to-usetoaster";
import sidenavigationMoveStyleClassInside from "./sidenavigation-move-style-class-inside";
import breadcrumbsChildren from "./breadcrumbs-children";
import reactTableImport from "./react-table-import";
import removeImportProps from "./remove-import-props";
import userIconDeprecated from "./usericon-deprecated";
import useToasterInsideThemeProvider from "./usetoaster-inside-themeprovider";

import { SupportedCodemods } from "./codemods";
import { Transform } from "jscodeshift";

const exportObject: Record<SupportedCodemods, Transform> = {
	"checkbox-move-style-class-inside": checkboxMoveStyleClassInside,
	"tile-iconbutton-size": tileIconbuttonSize,
	"splitbutton-classname": splitbuttonClassname,
	"radiotile-move-style-class-inside": radiotileMoveStyleClassInside,
	"setfocus-removed": setfocusRemoved,
	"usetheme-deprecated": usethemeDeprecated,
	"deprecated-typography": deprecatedTypography,
	"menuitem-icon-badge-deprecated": menuitemIconBadgeDeprecated,
	"toaster-to-usetoaster": toasterToUsetoaster,
	"sidenavigation-move-style-class-inside": sidenavigationMoveStyleClassInside,
	"breadcrumbs-children": breadcrumbsChildren,
	"react-table-import": reactTableImport,
	"remove-import-props": removeImportProps,
	"usericon-deprecated": userIconDeprecated,
	"usetoaster-inside-themeprovider": useToasterInsideThemeProvider,
};

export default exportObject;
