import { SupportedCodemods } from "codemods/codemods";

export type Suggestion = {
	id: string;
	dismissed: boolean;
	timestamp: string;
	type: string;
	file: string;
	codemod: SupportedCodemods;
	message: {
		content: string;
		start: {
			line: number;
			column: number;
		};
		end?: {
			line: number;
			column: number;
		};
		linesBefore: string[] | undefined;
		lineContent: string | undefined;
		linesAfter: string[] | undefined;
	};
};
