import {
  Body,
  Headline,
  Leading,
  Small,
  Subheading,
  Title,
  Text,
} from "@itwin/itwinui-react";
import React from "react";

// Testing imports using aliases (this import should also be removed)
import { Body as BodyOld } from "@itwin/itwinui-react";

const isMuted = true;

// Deprecated typography variants should be converted to Text.
// The old props should be retained.
<Body isMuted isSkeleton className="body-text">
  Foobar
</Body>;
<Headline isMuted={true}>Foobar</Headline>;
<Leading isMuted={isMuted}>Foobar</Leading>;
<Small onClick={() => console.log("Clicked <Small>")}>Foobar</Small>;
<Subheading>Foobar</Subheading>;
<Title>Foobar</Title>;

// Old Text should be unchanged.
<Text variant="body">Foobar</Text>;
<Text variant="headline" as="h1">
  Foobar
</Text>;

// Uses of alias should also be converted.
<BodyOld isMuted isSkeleton className="body-text">
  Foobar
</BodyOld>;
