import { Text } from "@itwin/itwinui-react";
import React from "react";

const isMuted = true;

// Deprecated typography variants should be converted to Text.
// The old props should be retained.
<Text as="p" variant="body" isMuted isSkeleton className="body-text">
  Foobar
</Text>;
<Text variant="headline" isMuted={true}>Foobar</Text>;
<Text variant="leading" isMuted={isMuted}>Foobar</Text>;
<Text as="small" variant="small" onClick={() => console.log("Clicked <Small>")}>Foobar</Text>;
<Text variant="subheading">Foobar</Text>;
<Text variant="title">Foobar</Text>;

// Old Text should be unchanged.
<Text variant="body">Foobar</Text>;
<Text variant="headline" as="h1">
  Foobar
</Text>;

// Uses of alias should also be converted.
<Text as="p" variant="body" isMuted isSkeleton className="body-text">
  Foobar
</Text>;