// All non-type imports
import { Column, useTable } from "react-table";

// One non-type and one type import
import { CellProps, type TableState } from "react-table";

// All type imports
import { type FilterProps, type FilterValue } from "react-table";
import type { Row, TableCellProps } from "react-table";

import { Table } from "@itwin/itwinui-react";

const columns = [
  {
    Header: "Name",
    accessor: "name",
  },
  {
    Header: "Description",
    accessor: "description",
  },
];

const data = [
  {
    name: "Name 1",
    description: "Description 1",
  },
  {
    name: "Name 2",
    description: "Description 2",
  },
];

<Table columns={columns} data={data} />;
