// Importing components and props together
import { Avatar, Button } from "@itwin/itwinui-react";

// Importing Props without type keyword
import { InformationPanel } from "@itwin/itwinui-react";

// Importing Props with type keyword
import { Carousel, Table } from "@itwin/itwinui-react";
type AvatarProps = React.ComponentPropsWithoutRef<typeof Avatar>;
type ButtonProps = React.ComponentPropsWithoutRef<typeof Button>;
type InformationPanelProps = React.ComponentPropsWithoutRef<typeof InformationPanel>;
type CarouselProps = React.ComponentPropsWithoutRef<typeof Carousel>;
type TableProps = React.ComponentPropsWithoutRef<typeof Table>;

const SampleCode = () => {
	return (
		<>
			<Avatar size="medium" />
			<Button>Click Me</Button>
			<InformationPanel />
			<Carousel />
		</>
	);
};