import { IconButton, Tile } from "@itwin/itwinui-react";
import React from "react";

// leftIcon and rightIcon passed as JSXAttribute (auto fix)
<Tile
  name="Tile"
  leftIcon={<IconButton styleType="borderless">...</IconButton>}
  rightIcon={<IconButton styleType="borderless">...</IconButton>}
/>;

const sideIcon = <IconButton styleType="borderless">...</IconButton>;

// leftIcon and rightIcon passed as JSXExpressionContainer (manual fix)
<Tile name="Tile" leftIcon={sideIcon} rightIcon={sideIcon} />;

const props = {
  leftIcon: <IconButton styleType="borderless">...</IconButton>,
  rightIcon: <IconButton styleType="borderless">...</IconButton>,
};

// leftIcon and rightIcon passed as JSXSpreadAttribute (manual fix)
<Tile name="Tile" {...props} />;
