import {
	UserIcon,
	UserIconGroup,
	UserIcon as ITwinUIUserIcon,
	UserIconGroup as ITwinUIUserIconGroup,
} from "@itwin/itwinui-react";
import * as React from "react";

// UserIcon → Avatar; UserIconGroup → AvatarGroup
const Component1 = () => {
	return (
		<>
			{/* Real component names */}
			<UserIconGroup iconSize="medium">
				<UserIcon
					size="small"
					title="Terry Rivers"
					abbreviation="TR"
					backgroundColor="green"
					image={<img src="https://cdn.example.com/user/profile/pic.png" />}
					status="online"
				/>

				<UserIcon size="medium" title="Terry Rivers" abbreviation="TR" backgroundColor="green" />
			</UserIconGroup>

			{/* Aliases */}
			<ITwinUIUserIconGroup iconSize="medium">
				<ITwinUIUserIcon
					size="small"
					title="Terry Rivers"
					abbreviation="TR"
					backgroundColor="green"
					image={<img src="https://cdn.example.com/user/profile/pic.png" />}
					status="online"
				/>

				<ITwinUIUserIcon
					size="medium"
					title="Terry Rivers"
					abbreviation="TR"
					backgroundColor="green"
				/>
			</ITwinUIUserIconGroup>
		</>
	);
};
