import {
	Avatar,
	AvatarGroup,
	Avatar as ITwinUIUserIcon,
	AvatarGroup as ITwinUIUserIconGroup,
} from "@itwin/itwinui-react";
import * as React from "react";

// UserIcon → Avatar; UserIconGroup → AvatarGroup
const Component1 = () => {
	return (<>
        {/* Real component names */}
        <AvatarGroup iconSize="medium">
            <Avatar
                size="small"
                title="Terry Rivers"
                abbreviation="TR"
                backgroundColor="green"
                image={<img src="https://cdn.example.com/user/profile/pic.png" />}
                status="online"
            />

            <Avatar size="medium" title="Terry Rivers" abbreviation="TR" backgroundColor="green" />
        </AvatarGroup>
        {/* Aliases */}
        <ITwinUIUserIconGroup iconSize="medium">
            <ITwinUIUserIcon
                size="small"
                title="Terry Rivers"
                abbreviation="TR"
                backgroundColor="green"
                image={<img src="https://cdn.example.com/user/profile/pic.png" />}
                status="online"
            />

            <ITwinUIUserIcon
                size="medium"
                title="Terry Rivers"
                abbreviation="TR"
                backgroundColor="green"
            />
        </ITwinUIUserIconGroup>
    </>);
};