import type { NextApiRequest, NextApiResponse } from "next";
import { getAllFilesAndFolders } from "scanner/logic";

export default async function handler(req: NextApiRequest, res: NextApiResponse) {
	const repoFolder: string = req.query.repoFolder as string;
	const result = await getAllFilesAndFolders({ repoFolder });
	res.send(result);
}
